Skip to end of metadata
Go to start of metadata


Beschreibung:
Dieses Dokument beschreibt, wie Sie bei den linux-basierten LSM- und LSR-Systemen eine Aktualisierung der linux-eigenen glibc-Bibliothek vornehmen können.
Aufgrund der in den Medien gemeldeten Sicherheitslücke in der linux-eigenen glibc-Bibliothek (siehe z.B. Artikel bei heise.de), sollten Sie die Aktualisierung zwingend durchführen.


Vorgehensweisen:
1. Aktualisierung der glibc-Bibliothek beim LSM-System: 1.1 Geben Sie in der Kommandozeile des Linux-Systems folgenden Befehl ein. Es wird angezeigt, dass eine Aktualisierung für die glibc-Bibliothek im Repository "updates" verfügbar ist.$ yum info glibc
1.2 Geben Sie anschließend folgenden Befehl ein, um die Aktualisierung zu starten:
$ yum -y update glibc



2. Aktualisierung der glibc-Bibliothek beim LSR-System:
2.1 Geben Sie in der Kommandozeile des Linux-Systems folgenden Befehl ein, die Aktualisierung wird dann automatisch durchgeführt:
wget http://security.debian.org/debian-security/pool/updates/main/g/glibc/libc6_2.19-18+deb8u3_amd64.deb
dpkg -i libc6_2.19-18+deb8u3_amd64.deb
2.2 Überprüfen Sie anschließend, ob sich die aktualisierte glibc-Bibliothek auf dem System befindet, indem Sie folgenden Befehl eingeben:
apt-cache show libc6
Die darauf folgende Ausgabe muss die grün markierte Versionsangabe enthalten:
      Package: libc6

      Status: install ok installed

      Priority: required

      Section: libs

      Installed-Size: 10231

      Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>

      Architecture: amd64

      Multi-Arch: same

      Source: glibc

Version: 2.19-18+deb8u3
      Replaces: libc6-amd64

      Depends: libgcc1

      Suggests: glibc-doc, debconf | debconf-2.0, locales

      Breaks: hurd (<< 1:0.5.git20140203-1), libtirpc1 (<< 0.2.3), locales (<< 2.19), locales-all (<< 2.19), lsb-core (<= 3.2-27), nscd (<< 2.19)

      Conflicts: prelink (<= 0.0.20090311-1), tzdata (<< 2007k-1), tzdata-etch

      Conffiles:

      /etc/ld.so.conf.d/x86_64-linux-gnu.conf 593ad12389ab2b6f952e7ede67b8fbbf

      Description: GNU C Library: Shared libraries

      Contains the standard libraries that are used by nearly all programs on

      the system. This package includes shared versions of the standard C library

      and the standard math library, as well as many others.

      Description-md5: fc3001b0b90a1c8e6690b283a619d57f

      Homepage:
http://www.gnu.org/software/libc/libc.html